@import 'subs/fonts';

$body-font: "Roboto", "Helvetica Neue", Helvetica, Arial, 'Font Awesome 5 Free', sans-serif;
$nav-toggle-break: "768px";
$font-size: 16px;
$font-size-medium: 18px;

#wpadminbar {
  position: fixed;
}

* {
  font-family: $body-font;
}

body, #meta-top-wrapper, .header-wrapper, #header-subpages-wrapper, #meta-main-wrapper, #content-wrapper, #meta-bottom-wrapper, #footer-wrapper {
  position: relative;
}

body {
  z-index: 0;
  background-color: red;
}

h1 {
  font-size: 36px;
}

h2, h3 {
  font-size: 28px;
}

h1, h2 {
  font-weight: bold;
}

a img {
  opacity: 0.72;
  transition: opacity 0.6s;
}

a:hover img {
  opacity: 1;
}

.screen-reader-text {
  display: none;
}

.navbar.center .navbar-nav .menu-item .nav-link {
  justify-content: center;
}

// Style 1 (with Shadow Border)

/*
article {
  margin: 24px 0;
  padding: 32px;
  border: 0;
  background: #fff;
  box-shadow: 0 0 40px 0 rgba(0, 0, 0, 0.2);
  overflow-x: auto;
  overflow-y: hidden;
}

.move-to-border-left {
  margin: -32px 0 -32px -32px;
  max-width: 35%;
  flex: 0 0 35%;
}

.move-to-border-top {
  margin: -32px -32px 32px -32px;
}
*/

.page-header {
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}

article {
  margin: 12px 0 52px 0;
  padding: 16px;
  //  border: 1px solid rgba(0, 0, 0, 0.12);
  background: #fff;
  overflow-x: auto;
  overflow-y: hidden;
}

article.entry-slider {
  margin: 0;
  padding: 0;
  border: 0;
  background: transparent;
  overflow-x: visible;
  overflow-y: visible;
}

.move-to-border-left {
 margin: -16px 0 -16px 0;


  width: 30%;
  float: left;
  background-position: center center;
  overflow: hidden;
  background-size: cover;
  display: block;
  padding: 0;
  border: 0;
  vertical-align: baseline;
}

.entry-col
{
  width: 70%;
  max-width: 70%;
  padding: 0 40px;
  float: left;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  -o-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  border: 0;
  vertical-align: baseline;
  overflow: hidden;
}

.entry-content .img-responsive {
  display: block;
  max-width: 100%;
  width: auto;
  height: auto;
}

img.aligncenter  {
  margin: 0 auto !important;
}

#meta-bottom-nav .container-fluid, #meta-top-nav .container-fluid {
  padding-left: 0;
 }

.move-to-border-top {
  margin: -6px -6px 6px -6px;
}

.slb_data_title {
  display: none !important;
}

.article-link-previous {
  margin-bottom: 16px;


}

.article-link-next {
  margin-top: 16px;
}

.widget-tax-menu-wrapper {

  .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #000;
  }

  .nav-pills .nav-item {
    margin-bottom: 6px;
  }

  .nav-pills .nav-link {
    background-color: rgba(0, 0, 0, 0.12);
    transition: all 0.6s;
  }

  .nav-pills .nav-link:hover {
    background-color: rgba(0, 0, 0, 0.52);
  }

  .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    background-color: rgba(126, 239, 104, 0.4);
    transition: all 0.6s;
  }

  .nav-pills .nav-link.active:hover, .nav-pills .show > .nav-link:hover {
    background-color: rgba(126, 239, 104, 0.9);
  }

  .nav-pills .disabled {
    pointer-events: none;
    cursor: default;
  }

  .nav-pills .back-link:before {
    content: "\f137";
    margin-right: 6px;
  }
}

.entry-content h2 {
  margin-top: 42px;
}

.img-round-corners {
  border-radius: 8px;
}

.nav-wrapper {
  padding: 12px;
  text-align: center;

  nav {
    display: inline-block;
  }
}

#footer-bottom {
  padding: 18px 0 0 0;
}

$widget_item_space: 18px;

#footer-wrapper, #content-wrapper {
  .widget {
    margin-top: 32px;

    .widget-title {
      font-size: $font-size;
      font-weight: bold;
    }
    ul {
      list-style: none;
      margin: 0;
      padding: 0;

      &.children a {
        padding-left: 32px;
      }

      $ulchildrena: " ul.children a";
      $ulchildrenafill: "";
      $ulchildrenavalue: 32px;
      @for $i from 1 through 8 {
        $ulchildrenafill: $ulchildrenafill + $ulchildrena;
        $ulchildrenavaluenew: $ulchildrenavalue * ($i+1);
        &.children #{$ulchildrenafill} {
          padding-left: $ulchildrenavaluenew;
        }
      }
      &.children {
        margin-top: $widget_item_space;
        margin-bottom: -$widget_item_space;
      }

    }

    li {
      border-top: 1px solid rgba(238, 238, 238, 0.2);
      white-space: normal;
      padding: $widget_item_space 0;
      a {
        white-space: normal;
        font-size: $font-size-medium;
        font-weight: normal;
        display: inline-block;
      }
    }
  }
}

#meta-top-wrapper {
  z-index: 70;
}

.header-wrapper {
  z-index: 60;
}

#header-subpages-wrapper {
  z-index: 50;
}

#meta-main-wrapper {
  z-index: 40;
}

#content-wrapper {
  z-index: 0;
}

#meta-bottom-wrapper {
  z-index: 20;
}

#footer-wrapper {
  z-index: 10;
}

#meta-top-wrapper, #meta-top-wrapper .form-control, #meta-bottom-wrapper, #meta-bottom-wrapper .form-control {
  font-size: 13.3333px;
}

.header-wrapper {
  min-height: 220px;
  text-align: center;
  display: flex;
  align-items: center;

  img {
    box-shadow: 3px 3px 1px 0 rgba(92, 92, 92, 0.85);
  }
  h1, h2, h3, h4, h5, h6 {
    text-shadow: 3px 3px 1px rgba(92, 92, 92, 0.85);
  }
}

#header-wrapper {
  min-height: 124px;
}

$meta-main-wrapper-height: 72px;
$meta-main-nav-border: 1px solid rgba(96, 96, 96, 0.22);

#content-wrapper {
}

#meta-main-wrapper {
  min-height: $meta-main-wrapper-height;
  border-bottom: 1px solid rgba(12, 12, 12, 0.45);
  nav {
    background-color: transparent;
    border-left: $meta-main-nav-border;
    //border-right: $meta-main-nav-border;
    margin: 0;
    padding: 0;
    min-height: $meta-main-wrapper-height;

    ul {
    }
    .nav-item {
      border-right: $meta-main-nav-border;
    }

    .nav-link {
      font-weight: bold;
      text-transform: uppercase;
      min-height: $meta-main-wrapper-height;
      display: flex;
      align-items: center;
      padding-left: 22px;
      padding-right: 22px;
    }

  }
}

#meta-main-wrapper nav .nav-item, #meta-main-wrapper nav .nav-link {
  text-align: center;
  justify-content: center;
}

#meta-main-nav-wrapper {
  min-height: $meta-main-wrapper-height;
}

.dropdown-menu {
  opacity: 0;
  height: 0;
  overflow: hidden;
  display: block;
  transition: opacity 0s;

  .dropdown-item {
    border-radius: 24px;
  }

}

.dropdown-menu.shown {
  opacity: 1;
  height: auto;
  transition: opacity 0.6s;
}

a {
  transition: all 0.6s;
  //border-bottom: 2px solid transparent;
}

a:hover {
  text-decoration: none;
  //border-bottom: 2px solid green;
}

.dropdown-menu-img a:hover {
  background-color: transparent !important;
}

.dropdown-menu-img img {
  padding-right: 5px;
  border-radius: 0.25rem;
  opacity: 0.5;
  transition: opacity 0.3s;
}

.dropdown-menu-img img:hover {
  opacity: 1;
}

#meta-top-wrapper, #meta-bottom-wrapper {
  height: 40px;
  nav {
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 0;
    padding-right: 0;
  }
}

#meta-top-search-wrapper, .search-form-wrapper,
#meta-top-search-wrapper-collapsed, .search-form-wrapper {
  //border-left: 1px solid rgba(255, 255, 255, 0.15);
  //border-right: 1px solid rgba(255, 255, 255, 0.15);
  border-bottom: none;
  form {
    height: 40px;

    input[type="search"] {
      height: 40px;
      background: transparent;
      border: none;
      float: right;
      font-weight: 300;
      padding: 0 10px;
      color: rgba(255, 255, 255, 0.6);
      transition: all 0.3s;

      &:focus {
        border-color: rgba(126, 239, 104, 0.8);
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(126, 239, 104, 0.6);
        outline: 0 none;
      }
    }

    .search_button_wrapper {
      width: 40px;
      height: 40px;
      background: transparent;
      border: none;
      //border-left: 1px solid rgba(255, 255, 255, 0.15);
      float: right;
      position: relative;

      i {
        z-index: 1;
        font-size: 12px;
        width: 100%;
        height: 20px;
        top: 10px;
        display: block;
        background: transparent;
        border: none;
        color: #fff;
        text-align: center;
        line-height: 20px;
        position: absolute;
        transition: all 0.3s;
        //font: normal normal normal 14px/1 FontAwesome;
        text-rendering: auto;
        -webkit-font-smoothing: antialiased;


      }

      input {
        z-index: 2;
        width: 100%;
        height: 100%;
        display: block;
        background: transparent;
        border: none;
        color: #fff;
        text-align: center;
        line-height: 40px;
        position: absolute;
        transition: all 0.3s;
        cursor: pointer;
      }
    }
  }
}

.search-form-wrapper {
  border-left: none;
  border-right: none;
  form {

    input[type="search"] {
      color: rgba(0, 0, 0, 0.6);
      border: 1px solid rgba(0, 0, 0, 0.15);
      &:focus {
        border-color: rgba(126, 239, 104, 0.8);
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(126, 239, 104, 0.6);
      }
    }

    .search_button_wrapper {
      border-left: none;

      i {
        color: #000;
      }

      input {
        color: #000;
      }
    }
  }
}

.edit-link {
  margin-left: 12px;
}

/*
  Post Navigation
  ------------------------------------------------
*/

.wp-link-nav, .page-numbers {
  padding: 3px 12px;
}

.wp-link-nav, .page-numbers {

  &:hover, &.current {
    text-decoration: none;
    background-color: #d2d5d7;
    border-radius: 20px;
    color: #3b497a;
  }

  &.dots:hover {
    background-color: transparent;
  }

}

/* Syntaxhighlighter, pre */

pre, .syntaxhighlighter {
  border: 1px solid #b2b2b2 !important;
  padding-top: 5px !important;
  padding-bottom: 5px !important;
  border-radius: 3px !important;
}

.syntaxhighlighter table .container:before {
  display: none !important;
}

/* List Checks */

.list-check .left p, .list-check .right p, .list-check .middle p {
  vertical-align: middle;
  display: table-cell;
}

.list-check {
}

.list-line, .list-line-last {
  width: 100%;
  height: 1px;
  border-bottom: 1px dotted #888;
}

.list-first .right, .list-first .left, .list-first .middle {
}

.list-check .right, .list-check .left, .list-check .middle {
}

.list-check .left, .list-check .right, .list-check .middle {
  padding-left: 65px;
  background: url("../img/check_blue.png") left center no-repeat;
  height: 66px;
  display: table;
  padding-top: 8px;
  padding-bottom: 8px;
}

.not-ready .left, .not-ready .right, .not-ready .middle {
  background: url("../img/check_green.png") left center no-repeat;
}

.list-check .empty {
  background: none;
}

.list-check .left, .list-check .right, .list-check .middle, .list-check {
  width: 100% !important;
  border-bottom: 1px dotted #888;
  flex: 0 0 100%;
  max-width: 100%;
}

.list-first .left {
  border-top: 1px dotted #888;
}

.list-check .empty {
  display: none;
}

.list-check .empty p {
  min-height: auto;
}

.list-check {
  border: none;
}

.list-line, .list-line-last {
  display: none;
}

/* Huge IT Slider */

.page-id-75 img.huge-it-slide-image, .page-id-73 img.huge-it-slide-image {
  max-height: 216px !important;
  max-width: 360px !important;
}

.huge-it-wrap {
  opacity: 1 !important;

  img {
    width: auto !important;
    height: auto !important;
  }
}

.entry-content {
}

.entry-content .row {
  width: 100%;
  margin-left: -20px;
  margin-right: -20px;
}

.nav-pills {

  .nav-link {
    border-radius: 0;
  }
  li {
    border-left: 20px solid rgba(66, 66, 66, 1);
    border-right: 20px solid rgba(66, 66, 66, 1);
    border-radius: 12px;
    &:hover {
      a {
        color: #5bc0de !important;
      }
    }
  }

}

dl {
  margin-left: 32px;
}

.collapse-hidden {
  display: none;
}

#meta-top-search-wrapper-collapsed {
  display: none;
}

@media screen and (min-width: $nav-toggle-break) {
  #meta-bottom-nav-wrapper nav ul li:first-child a {
    padding-left: 0 !important;
  }
  .navbar-toggler {
    display: none;
  }

}

.mb-2, .my-2, .mt-2{
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

#meta-bottom-nav-wrapper .navbar-nav
{
  -ms-flex-direction: row;
  flex-direction: row;
}

#meta-bottom-nav-wrapper .navbar-nav .nav-link
{
  padding-right: .5rem
}

#full-header-wrapper {

  background-position: center center;
}


@media screen and (max-width: $nav-toggle-break) {

  * {
    word-wrap: break-word;
    overflow-wrap: break-word;

    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    hyphens: auto;
  }

  .navbar.center .navbar-nav .menu-item .nav-link {
    justify-content: normal;
    width: 100%;
  }

  .navbar-nav {
    display: block;
  }

  .move-to-border-left {
    display: none;
  }

  .dropdown-menu {
    padding: 0;
    margin: 0;
    border: none !important;
  }

  .dropdown-menu-items {
    width: 100%;
    padding: 0 !important;
  }

  .dropdown-menu-img {
    display: none;
  }

  #meta-top-search {
    background-color: #000;
    margin-top: 0 !important;
    border-left: none !important;
    border-right: none !important;

    input:focus {
      border-radius: 0 !important;
    }
  }

  .nav-link {
    padding: 0.5rem 1rem !important;
  }

  #content-wrapper .col-3 {
    flex: 0 0 100%;
    max-width: 100%;
  }

  #meta-top-nav-wrapper, #meta-bottom-wrapper {
    display: none !important;
  }

  #meta-top-search-wrapper {

    display: none !important;
    border: none !important;
    form {

      input[type="search"] {
        width: 80%;

      }
    }
  }

  #body-wrapper {
    position: relative;
    z-index: 0;
  }

  #full-header-wrapper {
    z-index: 0;

  }

  #meta-top-wrapper {
    z-index: 0;
  }

  #meta-main-wrapper {
    z-index: 0;
  }

  #meta-bottom-wrapper {
    z-index: 0;
  }

  .header-wrapper, .header-frontpage-wrapper {
    z-index: 0;
  }
  #header-subpages-wrapper {
    z-index: 0;
  }

  #content-wrapper {
    z-index: 0;
  }

  #footer-wrapper {
    z-index: 0;
  }

  .navbar-offcanvas {
    background-color: #2b2b2b !important;
    z-index: 2000 !important;
    overflow: auto;
  }

  .collapse-hidden {
    display: inline;
  }

  .collapse-pack {
    -ms-flex-direction: unset !important;
    flex-direction: unset !important;
    float: left;
  }

  #meta-main-wrapper * {
    text-align: left !important;
  }

  #meta-main-nav * {
    border: none !important;
  }

  .navbar-expand-sm > .container, .navbar-expand-sm > .container-fluid {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  #meta-main-wrapper nav .nav-item, #meta-main-wrapper nav .nav-link {
    justify-content: left;
  }

  .navbar-expand-sm {
    flex-flow: wrap;
  }

  #meta-top-search-wrapper-collapsed {
    display: block;
    border: none !important;
    form {

      input[type="search"] {
        width: 85%;

      }
    }
  }

  h1, h2, h3, h4, h5, h6 {
    font-size: 1.2em;
  }

  p, li, .entry-meta, .pagination, #description, #footer-wrapper .widget ul li span, #content-wrapper .widget ul li span
  , #footer-wrapper .widget ul li a, #content-wrapper .widget ul li a, .syntaxhighlighter .code *, .cat-links a {
    font-size: 0.9em !important;
  }

  .syntaxhighlighter .gutter .line {
    display: none;
  }

  #meta-main-wrapper nav .nav-link {
    min-height: 40px;
  }

  #meta-main-wrapper, #meta-main-nav-wrapper {
    min-height: auto;
  }

  /*
  #footer-wrapper, #content-wrapper {
    .widget {
      .widget-title {
        font-size: 1.2em;
      }
      li {
        a {
          font-size: 1.2em;
        }
      }
    }
  }
  #meta-top-wrapper, #meta-top-wrapper .form-control, #meta-bottom-wrapper, #meta-bottom-wrapper .form-control {
    font-size: 1.2em;
  }

  #meta-top-search-wrapper, .search-form-wrapper,
  #meta-top-search-wrapper-collapsed, .search-form-wrapper {
    //border-left: 1px solid rgba(255, 255, 255, 0.15);
    //border-right: 1px solid rgba(255, 255, 255, 0.15);
    border-bottom: none;
    form {
      .search_button_wrapper {
        i {
          font-size: 1.2em;
        }
      }
    }
  }
  */

}



